#include <QTableView>
#include <QPushButton>
#include <QString>
#include <QSqlDatabase>
#include <QSqlError>
#include <QSqlQuery>
#include <QSqlRecord>
#include <QSqlField>
#include <QSqlTableModel>
#include <QSqlRelationalTableModel>
#include <QDebug>
#include <QHBoxLayout>


class MainForm : public QWidget
{
	Q_OBJECT
			
private:
	QHBoxLayout *mainLayout;
	QTableView *tableView;
	QSqlTableModel *model;
	QPushButton *bAdd, *bDel;
	
	int generateId();
public:
	MainForm( QWidget * parent = 0, Qt::WindowFlags f = 0);
	
private slots:
	void Addpressed();
	void Delpressed();
	void beforeInsertModel(QSqlRecord &record);

};

